Skip to main content
POST
/
invoices
/
{id}
/
retry
Retentar cobrança da fatura
curl --request POST \
  --url https://api.pagozz.com/v1/invoices/{id}/retry \
  --header 'Pagozz-Token: <api-key>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "cycle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "recurring",
    "period_start": "2023-11-07T05:31:56Z",
    "period_end": "2023-11-07T05:31:56Z",
    "billing_number": 123,
    "amount": 123,
    "setup_fee": 123,
    "credit_applied": 123,
    "total_amount": 123,
    "currency": "BRL",
    "status": "draft",
    "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payment_method": "<string>",
    "paid_at": "2023-11-07T05:31:56Z",
    "due_at": "2023-11-07T05:31:56Z",
    "attempt_count": 123,
    "environment": "test",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Pagozz-Token
string
header
required

Chave de API no formato pgz_test_* (test mode) ou pgz_live_* (live mode). O ambiente é determinado automaticamente pelo prefixo da chave.

Path Parameters

id
string<uuid>
required

ID do recurso (UUID).

Response

Cobrança retentada com sucesso.

data
object

Representa uma fatura gerada por uma assinatura.